cURL
curl --request PATCH \
--url https://api.bedrock.orinlabs.org/api/templates/{id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"system_prompt": "<string>",
"default_model": "<string>",
"thinking_max_tokens": 1073741823,
"max_turns": 1073741823,
"debounce_window_seconds": 1073741823,
"harness_git_ref": "<string>",
"agent_created_webhook_url": "<string>",
"tool_call_secret": "<string>"
}
'import requests
url = "https://api.bedrock.orinlabs.org/api/templates/{id}/"
payload = {
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"system_prompt": "<string>",
"default_model": "<string>",
"thinking_max_tokens": 1073741823,
"max_turns": 1073741823,
"debounce_window_seconds": 1073741823,
"harness_git_ref": "<string>",
"agent_created_webhook_url": "<string>",
"tool_call_secret": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organization: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
system_prompt: '<string>',
default_model: '<string>',
thinking_max_tokens: 1073741823,
max_turns: 1073741823,
debounce_window_seconds: 1073741823,
harness_git_ref: '<string>',
agent_created_webhook_url: '<string>',
tool_call_secret: '<string>'
})
};
fetch('https://api.bedrock.orinlabs.org/api/templates/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"system_prompt": "<string>",
"default_model": "<string>",
"default_reasoning_effort": "none",
"thinking_max_tokens": 1073741823,
"max_turns": 1073741823,
"debounce_window_seconds": 1073741823,
"harness_git_ref": "<string>",
"agent_created_webhook_url": "<string>",
"tool_call_secret": "<string>"
}Templates
Update Template
CRUD for :class:AgentTemplate, scoped to the caller’s organization.
PATCH
/
api
/
templates
/
{id}
/
cURL
Authorizations
tokenAuthAPIKeyAuth
Token-based authentication with required prefix "Token"
Path Parameters
A UUID string identifying this agent template.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Required string length:
1 - 255Maximum string length:
255none- Noneminimal- Minimallow- Lowmedium- Mediumhigh- Highxhigh- Extra high
Available options:
none, minimal, low, medium, high, xhigh Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Seconds to hold the agent wake after an inbound conversational message, resetting on each new message. 0 = disabled (wake immediately). Individual agents can override via Agent.debounce_window_seconds.
Required range:
0 <= x <= 2147483647Blank = latest main at dispatch time.
Maximum string length:
255Maximum string length:
200Maximum string length:
255Response
200 - application/json
Maximum string length:
255Maximum string length:
255none- Noneminimal- Minimallow- Lowmedium- Mediumhigh- Highxhigh- Extra high
Available options:
none, minimal, low, medium, high, xhigh Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Seconds to hold the agent wake after an inbound conversational message, resetting on each new message. 0 = disabled (wake immediately). Individual agents can override via Agent.debounce_window_seconds.
Required range:
0 <= x <= 2147483647Blank = latest main at dispatch time.
Maximum string length:
255Maximum string length:
200Maximum string length:
255